# Change a scheduled message that has not been sent

`PATCH /lodging/scheduled-messages/{id}` · Rivier · bookings

Change a scheduled message that has not been sent.

- Scope: bookings:write
- Sdk: bookings.scheduledMessage.update
- Cli: bookings scheduled message update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "subject": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 6000
    },
    "sendAt": {
      "type": "string",
      "format": "date-time"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/lodging/scheduled-messages/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "subject": "string",
  "body": "string",
  "sendAt": "2026-01-01T00:00:00Z"
}'
```
